Bug 546360 - SELinux is preventing /sbin/unix_chkpwd access to a leaked 0 file descriptor.
Summary: SELinux is preventing /sbin/unix_chkpwd access to a leaked 0 file descriptor.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:818385b4639...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 17:50 UTC by jeff
Modified: 2009-12-22 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:22 UTC
Type: ---


Attachments (Terms of Use)

Description jeff 2009-12-10 17:50:47 UTC
Summary:

SELinux is preventing /sbin/unix_chkpwd access to a leaked 0 file descriptor.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by the unix_chkpwd command. It looks like this
is either a leaked descriptor or unix_chkpwd output was redirected to a file it
is not allowed to access. Leaks usually can be ignored since SELinux is just
closing the leak and reporting the error. The application does not use the
descriptor, so it will run properly. If this is a redirection, you will not get
output in the 0. You should generate a bugzilla on selinux-policy, and it will
get routed to the appropriate package. You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                system_u:system_r:chkpwd_t:SystemLow-SystemHigh
Target Context                system_u:object_r:telnetd_devpts_t:SystemLow
Target Objects                0 [ chr_file ]
Source                        unix_chkpwd
Source Path                   /sbin/unix_chkpwd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pam-1.1.0-7.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1 SMP Fri
                              Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   6
First Seen                    Wed 09 Dec 2009 05:16:53 PM CST
Last Seen                     Thu 10 Dec 2009 11:24:39 AM CST
Local ID                      50e95231-1a5e-4509-bbd4-ac95179f6d46
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260465879.643:2598): avc:  denied  { read write } for  pid=4049 comm="unix_chkpwd" name="0" dev=devpts ino=3 scontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:telnetd_devpts_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1260465879.643:2598): arch=c000003e syscall=59 success=yes exit=0 a0=7fea86ad4c18 a1=7fff5caf8c90 a2=7fea86cdae48 a3=7 items=0 ppid=4011 pid=4049 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4294967295 comm="unix_chkpwd" exe="/sbin/unix_chkpwd" subj=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,leaks,unix_chkpwd,chkpwd_t,telnetd_devpts_t,chr_file,read,write
audit2allow suggests:

#============= chkpwd_t ==============
allow chkpwd_t telnetd_devpts_t:chr_file { read write };

Comment 1 Daniel Walsh 2009-12-10 18:28:51 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-58.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:16 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:42:28 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.